Cyberduck Mountain Duck CLI

#2278 closed defect (duplicate)

SFTP transfer rate below possible bandwidth

Reported by: bulk@… Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 3.1.1
Severity: normal Keywords: sftp bandwidth speed transfer
Cc: Architecture:
Platform:

Description

Uploading a 400MB file over a 100Mbit/Full duplex link using SFTP with the preference 'Transfer Files using' set to SFTP (rather than SCP) is consistently very slow at roughly 1.4MB/s.

If the SFTP preference 'Transfer Files using' option is set to SCP then this can be marginally improved and the observed transfer rates are roughly 6MB/s.

However this is still well below what can should be achieved. In comparison: sftp from a Terminal session achieves 8.5MB/s for the same file transfer. scp from a Terminal session achieves 9.8MB/s for the same file transfer.

Change History (7)

comment:1 Changed on Jul 21, 2008 at 5:16:30 PM by dkocher

  • Summary changed from Very slow SFTP uploads - Version 3.0.2 (4059) to SFTP transfer rate below possible bandwidth

comment:2 Changed on Oct 7, 2008 at 11:17:51 AM by sebastien@…

  • Keywords sftp bandwitdht speed transfert added
  • Version changed from 3.0.1 to 3.0.2

Same symptoms seen when downloading file as well.

FileZilla : DL is at 1.5MB.sec Cyberduck (SFTP) : 150kB.sec Cyberduck (scp) : 250kB.sec

comment:3 Changed on Oct 7, 2008 at 11:19:12 AM by sebastien@…

  • Summary changed from SFTP transfer rate below possible bandwidth to Very slow SFTP transferts - Version 3.0.2 (4059)

comment:4 Changed on Oct 7, 2008 at 11:40:39 AM by anonymous

  • Summary changed from Very slow SFTP transferts - Version 3.0.2 (4059) to SFTP transfer rate below possible bandwidth

apologizes for renaming the bug.

comment:5 Changed on Oct 7, 2008 at 11:44:42 AM by ink

  • Keywords bandwidth transfer added; bandwitdht transfert removed

comment:6 Changed on Jan 27, 2009 at 5:10:59 PM by ink

  • Version changed from 3.0.2 to 3.1.1

Still a problem in Version 3.1.2 (4488). Is it likely to get fixed before 3.2 ?

comment:7 Changed on Dec 19, 2009 at 11:19:30 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #185.

Note: See TracTickets for help on using tickets.
swiss made software